# __gnu_parallel::count_if_selector< It, Diff > Struct Template Reference

Inheritance diagram for __gnu_parallel::count_if_selector< It, Diff >:

List of all members.

## Detailed Description

### template<typename It, typename Diff>
struct __gnu_parallel::count_if_selector< It, Diff >

std::count_if () selector.

Definition at line 202 of file for_each_selectors.h.

## Public Member Functions

- template<typename Op> Diff operator() (Op &o, It i)

## Public Attributes

- It finish_iterator

## Member Function Documentation

template<typename It, typename Diff>
template<typename Op>

Diff __gnu_parallel::count_if_selector< It, Diff >::operator() | ( | Op & | o,
|  | It | i |
| ) |  |  | `[inline]`

Functor execution.

Parameters:

  | o | Operator.
  | i | Iterator referencing object.

Returns:
  1 if count, 0 if does not count.

Definition at line 210 of file for_each_selectors.h.

## Member Data Documentation

template<typename It>

It __gnu_parallel::generic_for_each_selector< It >::finish_iterator `[inherited]`

Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 54 of file for_each_selectors.h.

Referenced by std::__parallel::adjacent_difference_switch(), std::__parallel::transform1_switch(), and std::__parallel::transform2_switch().

The documentation for this struct was generated from the following file:

- for_each_selectors.h